%define name omake
%define ver 0.9.8.1
%define index 1
%define release %mkrel 1

%define nobootstrap %{?_without_bootstrap:1}%{?!_without_bootstrap:0}

Name: %name
Version: %{ver}_%{index}
Release: %release
Summary: The omake build system
URL: http://omake.metaprl.org/
Source: http://omake.metaprl.org/downloads/%{name}-%{ver}-%{index}.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf, ocaml, make, fam-devel
BuildRequires: ncurses-devel
%if %nobootstrap
BuildRequires: omake
%endif


%description

OMake is a build system, similar to GNU make, but with many additional
features, including:
- Support for large projects spanning multiple directories;
- Support for commands that produce several targets at once;
- Fast, accurate, automated dependency analysis using MD5 digests;
- Portability: omake provides a consistent interface on Win32
  and on Unix systems including Linux, OSX, and Cygwin;
- Builtin functions that provide the most common features of
  programs like grep, sed, and awk;
- Active filesystem monitoring, where the build automatically
  restarts whenever you modify a source file.

%prep
%setup -q -n %name-%ver

%build

%if %nobootstrap
%else
make INSTALL_ROOT=$RPM_BUILD_ROOT\
   PREFIX=%{_prefix}\
   BINDIR=%{_bindir}\
   LIBDIR=%{_libdir}\
   MANDIR=%{_mandir}\
   all
%endif

make INSTALL_ROOT=$RPM_BUILD_ROOT\
   PREFIX=%{_prefix}\
   BINDIR=%{_bindir}\
   LIBDIR=%{_libdir}\
   MANDIR=%{_mandir}\
   all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/omake

make INSTALL_ROOT=$RPM_BUILD_ROOT\
   PREFIX=%{_prefix}\
   BINDIR=%{_bindir}\
   LIBDIR=%{_libdir}\
   MANDIR=%{_mandir}\
   install

chmod 755 $RPM_BUILD_ROOT%_bindir/*

# get ride of CVS file
find doc -depth -name CVS -exec rm -fr {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE doc/html/*.html doc/html/images doc/html/*.txt doc/ps/*.ps

%{_bindir}/*
%{_libdir}/omake
# %{_mandir}/man1/*


%changelog
* Sat Mar 17 2007 Olivier Thauvin <nanardon@mandriva.org> 0.9.8.1_1-1mdv2007.1
+ Revision: 145318
- 0.9.8.1-1
- 0.9.8-2
- Import omake



* Tue Apr 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.6.9_1-1mdk
- 0.9.6.9-1

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.6.8_1-1mdk
- 0.9.6.8-1

* Thu Dec 29 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.6.7_1-1mdk
- 0.9.6.7-1

* Wed Nov 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.6.6_2-1mdk
- 0.9.6.6-2

* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.6.5_2-2mdk
- Fix BuildRequires

* Thu Oct 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.6.5_2-1mdk
- 0.9.6.5-2

* Mon Sep 05 2005 Olivier Thauvin <nanardon@mandriva.org> 0.9.6_1-1mdk
- 0.9.6-1

* Fri Feb 04 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.4_2-1mdk
- First mdk spec

* Mon Sep  9 2004 Aleksey Nogin <rpm@nogin.org>
- Added doc files.

* Thu May  8 2003 Jason Hickey <jyh_@cs.caltech.edu>
- Added cvs_realclean

* Tue Apr 22 2003 Aleksey Nogin <rpm@nogin.org>
- Path updates

* Tue Apr 22 2003 Jason Hickey <jyh_@cs.caltech.edu>
- Initial build.
